	name mmapVxD
	.386p
	include vmm.inc

	EXTRN	_MMAP_PM_API:NEAR

Declare_Virtual_Device MMAP,	\	; VxD name
	0, 90,						\	; major, minor version
	MMAP_Control,				\	; control dispatch routine
	UNDEFINED_DEVICE_ID,		\	; undefined device ID
	UNDEFINED_INIT_ORDER,		\	; initialiation order
	 , _MMAP_PM_API				\	; V86, PM APIs

VxD_LOCKED_CODE_SEG

; MMAP_Control -- routine dispatches VxD messages from VMM

Begin_Control_Dispatch MMAP

Control_Dispatch Device_Init, _OnDeviceInit, cCall, <>
Control_Dispatch Sys_Dynamic_Device_Init, _OnDeviceInit, cCall, <>
Control_Dispatch Sys_Dynamic_Device_Exit, _OnDeviceExit, cCall, <>
Control_Dispatch End_PM_App2, _EndPMApp2, cCall, <ebx>
Control_Dispatch VM_Not_Executeable2, _EndPMApp2, cCall, <ebx>

End_Control_Dispatch MMAP

VxD_LOCKED_CODE_ENDS

; following two segments are placed before
; and after .bss (see .def file) -- C code
; will clear the bss during OnDeviceInit

_BSS_START	segment	dword flat 'lcode'
			public _BSSstart
_BSSstart	dd	0
_BSS_START	ends

_BSS_END	segment dword flat 'lcode'
			public _BSSend
_BSSend	dd	0
_BSS_END	ends

	end

