#ifndef _MISC_H_
#define _MISC_H_

/* misc.c */

void logucode (PWORD);
void logmsg (char *);
void printf (char *, ...);

struct request *NewRequest(int);
void FreeRequest (struct request *);

void fmt_dword (char *, DWORD);
void print_pir (pioreq);
void print_ppath (ParsedPath *);

PUSHORT to_ucode(PCHAR name);
PCHAR to_BCS(PUSHORT name, int length);
int ucodelen(PWORD pu);
char *parent_path(char *path);
char *tofilename(char *path);
char *tolower(char *tar, const unsigned char *src);
char *memicpy(char *tar, char *src, int len);
void logcachemsg (char *buffer);
void logcache_lrulist(struct dllist_head *head);
void printf_cache(char *, ...);
void logcycles (char *buffer);
void printcyclesf(char *fmt, ...);
void print_dentry(struct dentry *de);

#ifdef DEBUG
#define LOGDEBUG(str, level)\
do{\
	if (level <= Debuglevel) logmsg(str);\
}while(0)	
#else
#define LOGDEBUG(str, level)	0
#endif

#endif