// CodaStartDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCodaStartDlg dialog

class CCodaStartDlg : public CDialog
{
// Construction
public:
	CCodaStartDlg(CWnd* pParent = NULL);	// standard constructor
	void SetInit(BOOL);
	void SetMounted(int);
	int GetMounted();

// Dialog Data
	//{{AFX_DATA(CCodaStartDlg)
	enum { IDD = IDD_CODASTART_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCodaStartDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CCodaMsgList* m_pCodaMsgList;
	CCodaconMsgList* m_pCodaconMsgList;
	CButton*  m_pListenBtn;
	CButton*  m_pInitBtn;
	CButton*  m_pResetBtn;
	CTabCtrl* m_pTab;
	CProcessWatcher* m_pProcWatch;
	CProcessWatcher* m_pProcWatch2;
	CWinThread* m_pThread;
	BOOL m_bInit;
	int m_bMounted;
	BOOL m_bExtension;
	char *m_ccommandline;

	static UINT Watcher(LPVOID pParam);

	// Generated message map functions
	//{{AFX_MSG(CCodaStartDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnReset();
	afx_msg void OnListenBtn();
	afx_msg void OnPipetest();
	afx_msg void OnStartVenus();
	afx_msg void OnStartRelay();
	afx_msg void OnInitBtn();
	afx_msg void OnMountUnmount();
	afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMoreless();
	afx_msg void OnConf();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
