#ifndef _DLIST_H
#define _DLIST_H


struct dllist_head {	
	struct dllist_head *next;
	struct dllist_head *prev;
};


#define dllist_chain struct dllist_head

#define list_entry(ptr, type, member) \
	((type *)((char *)(ptr)-(unsigned long)(&((type *)0)->member)))

#endif

void list_add(struct dllist_head *entry, struct dllist_head *head);
void list_del(struct dllist_head *entry);
int list_empty(struct dllist_head *entry);
void list_init(struct dllist_head *lh);


