	name SOCK
	.386p
	include vmm.inc

SOCK_Device_Id equ 01235h
Create_SOCK_Service_Table   equ   1

Begin_Service_Table SOCK
    SOCK_Service     SOCK_Get_Version, LOCAL
    SOCK_Service     _SOCK_AllocateFD
	SOCK_Service	 _SOCK_DeallocateFD
End_Service_Table SOCK

	EXTRN	_SOCK_PM_API:NEAR

Declare_Virtual_Device SOCK,	\	; VxD name
	1, 0,						\	; major, minor version
	SOCK_Control,				\	; control dispatch routine
	SOCK_Device_Id,				\	; undefined device ID
	1409335297,		\	; initialiation order
	 , _SOCK_PM_API				\	; V86, PM APIs

VxD_LOCKED_CODE_SEG

; SOCK_Control -- routine dispatches VxD messages from VMM

Begin_Control_Dispatch SOCK

Control_Dispatch Device_Init, _OnDeviceInit, cCall, <>
Control_Dispatch Sys_Dynamic_Device_Init, _OnDeviceInit, cCall, <>
Control_Dispatch Sys_Dynamic_Device_Exit, _OnDeviceExit, cCall, <>
Control_Dispatch End_PM_App2, _EndPMApp2, cCall, <ebx>
Control_Dispatch VM_Not_Executeable2, _EndPMApp2, cCall, <ebx>

End_Control_Dispatch SOCK

BeginProc	_TimeOutEventHandler, locked, public

; on entry, edx contains pointer to timeout_event_info struct:
; at offset 0, the address of the 'post' DWORD (which we increment
; to indicate that the select should complete);
; at offset 4, the timeout event handle, which we zero (to prevent
; the sys_select code trying to cancel the timeout after it has
; happened)

	xor		eax, eax
	mov		4[edx], eax
	mov		edx, [edx]
	inc		dword ptr [edx]
	VMMCall	_SignalID, <edx>
	ret

EndProc		_TimeOutEventHandler

BeginProc	SOCK_Get_Version, locked, public
	mov		eax, 10h
	clc
	ret
EndProc		SOCK_Get_Version

VxD_LOCKED_CODE_ENDS

; following two segments are placed before
; and after .bss (see .def file) -- C code
; will clear the bss during OnDeviceInit

_BSS_START	segment	dword flat 'lcode'
			public _BSSstart
_BSSstart	dd	0
_BSS_START	ends

_BSS_END	segment dword flat 'lcode'
			public _BSSend
_BSSend	dd	0
_BSS_END	ends

	end

