
all: vdcache.vxd

.asm.obj:
	ml -coff -DBLD_COFF -DIS_32 -W2 -Zd -c -Cx -DMASM6 -Zi -DDEBUG $*.asm
	editbin $@ -section:_BSS_START=.bss
	editbin $@ -section:_BSS_END=.bss$$1

.c.obj:
   cl -c -Gs -Zdpl -Ob1 -D_X86_ -YX -W3 -DDEBLEVEL=1 -DBLD_COFF -DVDCACHE -DDEBUG -DIS_32 -DDJGPP -DDOS $*.c

init.c devio.c misc.c vol.c file.c find.c dllist.c dcache.c namei.c hook.c: cache.h dcache.h vdcache.h

vdcache.vxd: vdcacheVxD.def vdcacheVxD.obj init.obj devio.obj misc.obj vol.obj file.obj find.obj dllist.obj	dcache.obj namei.obj hook.obj
	"c:\Program Files\msvc20\link" @<<
-machine:i386 -def:vdcacheVxD.def -out:$@
-debug -debugtype:map
-map:$*.map -vxd vxdwraps.clb -nodefaultlib
vdcacheVxD.obj init.obj devio.obj misc.obj vol.obj file.obj find.obj dllist.obj dcache.obj namei.obj hook.obj
<<

