// CodaMsgList.cpp : implementation file
//

#include "stdafx.h"
#include "CodaStart.h"
#include "CodaLSock.h"
#include "CodaMsgList.h"
#include "CodaconMsgList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCodaMsgList

CCodaconMsgList::CCodaconMsgList()
{
}

CCodaconMsgList::~CCodaconMsgList()
{
}


BEGIN_MESSAGE_MAP(CCodaconMsgList, CListCtrl)
	//{{AFX_MSG_MAP(CCodaconMsgList)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCodaconMsgList message handlers

BOOL CCodaconMsgList::Attach(CListCtrl* pList, UINT nPort)
{
	// Get a socket
	if (!m_sock.Create (this, 0, SOCK_STREAM)) {
		AfxMessageBox(IDP_SOCKET_CREATE_FAILED);
		return FALSE;
	}

	if (!CWnd::Attach(pList->m_hWnd))
		return FALSE;
		
	InsertColumn (0, "Codacon Messages", LVCFMT_LEFT, 500);

	ModifyStyle (LVS_TYPEMASK, LVS_REPORT);

	m_cMsgs = 0;
	m_bConnected = FALSE;
	InsertItem(m_cMsgs, _TEXT("not connected"));
	EnsureVisible (m_cMsgs, TRUE);
	m_cMsgs++;

	m_iPort = nPort;

	return TRUE;
}

void CCodaconMsgList::OnReceive(int n, char *buf){
    char *s;
	char done[128];

    if (strncmp(buf, "fetch::", 7) == 0) {
		s = &(buf[7]);
		n -= 7;
		if ((sscanf(s, "%*s %s", done) == 1) && strcmp(done, "done") == 0) {
		    /* Nothing, yet. */
			return;
		}
    } else if (strncmp(buf, "store::", 7) == 0) {
		s = &(buf[7]);
		n -= 7;
		if ((sscanf(s, "%*s %s", done) == 1) && strcmp(done, "done") == 0) {
			/* Nothing, yet. */
			return;
		}
    } else if (strncmp(buf, "callback::", 10) == 0) {
		s = &(buf[10]);
		n -= 10;
	} else if (strncmp(buf, "cache::", 7) == 0) {
		s = &(buf[7]);
		n -= 7;
    } else if (strncmp(buf, "mond::", 6) == 0) {
		s = &(buf[6]);
		n -= 6;
		if ((sscanf(s, "%*s %s", done) == 1) && strcmp(done, "done") == 0) {
		    /* Nothing, yet. */
		    return;
		}
    } else {
		s = &(buf[0]);
    }
	
	s[n-1] = '\0';
	InsertItem(m_cMsgs, _TEXT(s));
	EnsureVisible (m_cMsgs, TRUE);
	m_cMsgs++;
}

BOOL CCodaconMsgList::Connect(){

	if (m_bConnected) return TRUE;

	if (!m_sock.Connect("127.0.0.1", m_iPort)){
		AfxMessageBox(IDP_SOCKET_CONNECT_FAILED);
		return FALSE;
	}

	m_bConnected = TRUE;
	InsertItem(m_cMsgs, _TEXT("connected"));
	EnsureVisible (m_cMsgs, TRUE);
	m_cMsgs++;


	if (m_sock.Send("set:fetch\n", 10, 0) != 10){
		AfxMessageBox(IDP_SOCKET_SEND_FAILED);		
	}

	return TRUE;
}

void CCodaconMsgList::OnClose(){
	if (!m_sock.Create (this, 0, SOCK_STREAM)) {
		AfxMessageBox(IDP_SOCKET_CREATE_FAILED);
	}
	m_bConnected = FALSE;
}