#include "stdafx.h"
#include "CodaLSock.h"
#include "CodaMsgList.h"
#include "CodaconMsgList.h"
#include "ProcWatch.h"
#include "CodaStart.h"
#include "CodaStartDlg.h"

CCodaListenSocket::CCodaListenSocket ()
	: CSocket ()
{
	m_pMsgList = NULL;
}

BOOL CCodaListenSocket::Create (CCodaMsgList *p, UINT nPort /* = 9000 */, int type /*SOCK_DGRAM*/)
{
	BOOL bOK = CSocket::Create(nPort, type);
	ULONG ul = 1;
	if (bOK) {
		ioctlsocket (m_hSocket, FIONBIO, &ul);
		m_pMsgList = p;
	}
	return bOK;
}

void CCodaListenSocket::OnReceive (int nErrorCode)
{
	int n;
	CHAR	msg[1000];	
	n = Receive (&msg, sizeof(msg));
//	msg[n] = '\0';
//	if (n>0)
		m_pMsgList->OnReceive(n, (char*) &msg);
//	else 
//		AfxMessageBox(IDP_SOCKET_RECEIVE_FAILED);		
}

void CCodaListenSocket::OnClose(int nErrorCode){
	m_pMsgList->OnClose();
}